# Get resource change counts

Get resource-change badge totals for a sharded execution.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/executions/{pipeline_execution_id}/resource-changes/counts
Version: 1.0
Security: x-api-key

## Query parameters:

  - `pipeline_stage_id` (string, required)
    Pipeline execution stage ID
    Example: "u"

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "j7"

  - `project` (string, required)
    Project is the project identifier.
    Example: "zqt"

  - `pipeline_execution_id` (string, required)
    Pipeline execution ID
    Example: "71"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "s"

## Response 200 fields (application/json):

  - `added` (integer, required)
    Count of added resources in planned changes.
    Example: 1

  - `changed` (integer, required)
    Count of changed resources in planned changes.

  - `data_sources` (integer, required)
    Badge for data_sources filter.

  - `deleted` (integer, required)
    Count of deleted resources in planned changes.

  - `drift_added` (integer, required)
    Count of added resources in drift changes.

  - `drift_changed` (integer, required)
    Count of changed resources in drift changes.
    Example: 1

  - `drift_changes` (integer, required)
    Badge for drift_changes filter.
    Example: 1

  - `drift_deleted` (integer, required)
    Count of deleted resources in drift changes.

  - `drift_imported` (integer, required)
    Count of imported resources in drift changes.

  - `drift_removed` (integer, required)
    Count of removed resources in drift changes.

  - `drift_replaced` (integer, required)
    Count of replaced resources in drift changes.

  - `drift_unchanged` (integer, required)
    Count of unchanged resources in drift changes, which unlike planned unchanged rows are part of the drift_changes total.

  - `has_applied_state` (boolean)
    Whether this execution stage produced applied state.
    Example: true

  - `imported` (integer, required)
    Count of imported resources in planned changes.

  - `outputs` (integer, required)
    Badge for outputs filter.
    Example: 1

  - `planned_changes` (integer, required)
    Badge for planned_changes filter.
    Example: 1

  - `removed` (integer, required)
    Count of removed resources in planned changes.

  - `replaced` (integer, required)
    Count of replaced resources in planned changes.

  - `resources` (integer, required)
    Badge for resources filter.
    Example: 3

  - `unchanged` (integer, required)
    Count of unchanged resources (own lazy-loaded filter).
    Example: 2

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


